### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Iceland Class Reference
Calendars

Icelandic calendars. More...

`#include <ql/time/calendars/iceland.hpp>`

Inheritance diagram for Iceland:
[legend]

List of all members.

## Public Types

enum | Market { ICEX }

## Public Member Functions

| Iceland (Market m=ICEX)

## Detailed Description

Icelandic calendars.

Holidays for the Iceland stock exchange (data from <http://www.icex.is/is/calendar?languageID=1>):

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday)
- Holy Thursday
- Good Friday
- Easter Monday
- First day of Summer (third or fourth Thursday in April)
- Labour Day, May 1st
- Ascension Thursday
- Pentecost Monday
- Independence Day, June 17th
- Commerce Day, first Monday in August
- Christmas, December 25th
- Boxing Day, December 26th

## Member Enumeration Documentation

enum Market

Enumerator:

  ICEX | Iceland stock exchange.